Bug Hunting Session
Bug 88750 - FORMATTING: new "minimum row height" feature is regression causing too high row height for fonts less than 10 pts
Summary: FORMATTING: new "minimum row height" feature is regression causing too high r...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: x86 (IA32) All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Images
  Show dependency treegraph
 
Reported: 2015-01-23 15:00 UTC by nbv
Modified: 2017-02-07 02:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
ods-example made with LibreOffice 4.1.6 (18.45 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-01-23 15:00 UTC, nbv
Details
pdf-file of the described ods-file (64.51 KB, application/pdf)
2015-01-23 15:03 UTC, nbv
Details
ods-example made with LibreOffice 4.1.6 (similar to example 1) (116 bytes, text/plain)
2015-01-23 15:25 UTC, nbv
Details
ods-example made with LibreOffice 4.1.6 (see also pdf-file) (18.45 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-01-23 15:42 UTC, nbv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nbv 2015-01-23 15:00:36 UTC
Created attachment 112723 [details]
ods-example made with LibreOffice 4.1.6

Hello

As attachment you can find two files: an ods-example-file made with LO 4.1.6 and a pdf-file made of this ods-file (to preserve the formatting).

[maybe it is not possible to add the pdf-file to]

When you open this ods-file with LO 4.2.8 and when you use the function "optimal-row-height" (in German: Optimale Zeilenhöhe), you will see that the row-hight of some lines will increase.

Regina explained me already very clear the reason for it: New condition "minimal-row-hight" came with LO 4.2.x:

http://ask.libreoffice.org/de/question/45083/libreoffice-428-calc-optimale-zeilenhoehe-zu-gross/

My (quite urgent) request: Is it possible to remove this condition (or to reduce the minimal row-hight to a mesure that works with small Fonts of 4 points for example)?

Thanks a lot for your efforts.

Eibe.
Comment 1 nbv 2015-01-23 15:03:02 UTC
Created attachment 112724 [details]
pdf-file of the described ods-file
Comment 2 nbv 2015-01-23 15:25:41 UTC
Created attachment 112725 [details]
ods-example made with LibreOffice 4.1.6 (similar to example 1)
Comment 3 nbv 2015-01-23 15:42:04 UTC
Created attachment 112728 [details]
ods-example made with LibreOffice 4.1.6 (see also pdf-file)
Comment 4 nbv 2015-01-23 15:58:29 UTC
> 
> Hello
> 
> As attachment you can find two files: an ods-example-file made with LO 4.1.6
> and a pdf-file made of this ods-file (to preserve the formatting).
> 
> When you open this ods-file with LO 4.2.8 and when you use the function
> "optimal-row-height" (in German: Optimale Zeilenhöhe), you will see that the
> row-hight of some lines will increase.
> 
> Regina explained me already very clear the reason for it: New condition
> "minimal-row-hight" came with LO 4.2.x:
> 
> http://ask.libreoffice.org/de/question/45083/libreoffice-428-calc-optimale-
> zeilenhoehe-zu-gross/
> 
> My (quite urgent) request: Is it possible to remove this condition (or to
> reduce the minimal row-hight to a mesure that works with small Fonts of 4
> points for example)?
> 
> Thanks a lot for your efforts.
> 
> Eibe.
Comment 5 Buovjaga 2015-01-29 19:11:38 UTC
Reproduced.

Not "high" & "major", though: https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 6 andréb 2015-02-25 04:03:07 UTC
This "minimal row height" change is absolutely insane.
It makes working with larger spreadsheets more difficult, for no advantage.
For 7 or 8 ppp rows, it increases the height from 3,6mm to 4,5mm, which is 25%.
What it does could be accomplished by other methods, and if it were wanted to have a minimum row height (I can't imagine why), it should be optional or configurable, so as to not impact those who don't want it.

Whoever did this change must be trying to sabotage libreoffice.

According to the flowchart referred to in comment 5, this is a major bug, since it reduces the viewed area by 20%, which is significant, and is very easily fixed, thus should have the default priority.
Comment 7 andréb 2015-04-09 21:29:26 UTC
Changed title to reflect cause.
Changed to affect all OS's.
(It affects Linux as well as Ms-windows, no reason to suspect it is OS dependent.)
Comment 8 nbv 2015-05-24 17:48:55 UTC
The importance is more than "medium minor": only because of this new minimal row hight a lot of users have to work with LO 4.1.6, the last version without the change.

So they can't benefit of all the important improvements since LO 4.1.6, including the elimination of SECURITY PROBLEMS.

So please fix this baseless "minimal row hight" for 10-point-letters.

See the documents in the attachment that show the crux of the matter.

Thanks a lot.
Comment 10 QA Administrators 2016-09-20 09:46:08 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920